Subject: butterflies aND FREEDOM

From: [email-masked] (NEWV4)
Date: 11 Aug 1995 22:12:31 -0400

I just began to explore the internet and /or new groups .  What a great
opportunity.  I'm a teacher and I "fight" for the opportunity for my
students to experience just what you are saying.     Am I wrong to say ow
exciting thi s all is.   I am looking for help[ to keep my level of
support high.  Anyone?!!!!